<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.sixin.module_p.ui.enter.mine.PdaMineViewModel" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/backgroud_gray"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="44dp"
            android:background="@color/colorPrimary">

            <ImageView
                android:layout_width="44dp"
                android:layout_height="44dp"
                android:onClick="@{()-> viewModel.onLogoutClick()}"
                android:padding="10dp"
                android:src="@drawable/img_pda_exit" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerInParent="true"
                android:text="我的"
                android:textColor="@color/white"
                android:textSize="18sp" />

        </RelativeLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="15dp"
            android:layout_marginTop="10dp"
            android:gravity="center_vertical">

            <ImageView
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:src="@drawable/img_default_avatar" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10dp"
                android:text="@{viewModel.userName}"
                android:textColor="@color/text_normal"
                android:textSize="18sp"
                tools:text="姓名" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text='@{"("+viewModel.userRole+")"}'
                android:textColor="@color/text_gray"
                android:textSize="14sp"
                tools:text="(计重员)" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:onClick="@{()-> viewModel.onModifyPasswordClick()}">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_weight="1"
                android:text="修改密码"
                android:textSize="15sp" />

            <ImageView
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:layout_marginRight="10dp"
                android:src="@drawable/img_pda_right" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_marginTop="10dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:onClick="@{()-> viewModel.onAboutUsClick()}">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_weight="1"
                android:text="关于我们"
                android:textSize="15sp" />

            <ImageView
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:layout_marginRight="10dp"
                android:src="@drawable/img_pda_right" />

        </LinearLayout>

        <View
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_weight="1" />

    </LinearLayout>
</layout>